# 根日志的基本定义为info,具体实例为: stdout,infoLog,errorLog,debug；levels :ALL < DEBUG < INFO < WARN < ERROR < FATAL < OFF
log4j.rootLogger=info,stdout,infoLog,errorLog,debug
# stdout日志配置
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d %p [%c] - %m %n
log4j.appender.stdout.File=D:/log/watero/out.log
# infoLog日志配置
log4j.appender.infoLog=org.apache.log4j.DailyRollingFileAppender
log4j.appender.infoLog.File=D:/log/watero/info.log
log4j.appender.infoLog.Append=true
log4j.appender.infoLog.Threshold=INFO
log4j.appender.infoLog.layout=org.apache.log4j.PatternLayout
log4j.appender.infoLog.layout.ConversionPattern=%d %p [%c] - %m %n 
log4j.appender.infoLog.encoding=UTF-8
# error日志配置
log4j.appender.errorLog=org.apache.log4j.DailyRollingFileAppender
log4j.appender.errorLog.File=D:/log/watero/error.log
log4j.appender.errorLog.Append=true
log4j.appender.errorLog.Threshold=ERROR
log4j.appender.errorLog.layout=org.apache.log4j.PatternLayout
log4j.appender.errorLog.layout.ConversionPattern=%d %p [%c] - %m %n
log4j.appender.errorLog.encoding=UTF-8
# debug日志配置
log4j.appender.debug=org.apache.log4j.DailyRollingFileAppender
log4j.appender.debug.File=D:/log/watero/debug.log
log4j.appender.debug.Append=true
log4j.appender.debug.Threshold=DEBUG
log4j.appender.debug.layout=org.apache.log4j.PatternLayout
log4j.appender.debug.layout.ConversionPattern=%d %p [%c] - %m %n
log4j.appender.debug.encoding=UTF-8
# apache日志级别
log4j.logger.org.apache=INFO
# 整个项目代码的日志级别
log4j.logger.com.iamberry=INFO
# mybatis日志配置,为了方便定位问题，将日志级别设置为DEBUG，方便打印SQL语句
log4j.logger.com.ibatis=DEBUG
log4j.logger.java.sql.Connection=DEBUG
log4j.logger.java.sql.Statement=DEBUG
log4j.logger.java.sql.PreparedStatement=DEBUG
log4j.logger.java.sql.ResultSet=DEBUG